


function x_r7() {
return (window.opera) ? true : false;
}

function x_r8() {
return (document.all && window.showModalDialog) ? true : false;
}

function x_r9() {
return (navigator.appName.indexOf("Safari") >= 0 || navigator.appVersion.indexOf("Safari") >= 0) ? true : false;
}

function x_ra() {
return (navigator.appName.indexOf("Netscape") >= 0 && !x_r9()) ? true : false;
}

function x_rb() {

if (self.innerHeight) {
return self.innerHeight;
}
else {

if (document.documentElement && document.documentElement.clientHeight) {
return document.documentElement.clientHeight;
}
else {

if (document.body) {
return document.body.clientHeight;
}
}
}
}

function x_rc() {

if (self.innerWidth) {
return self.innerWidth;
}
else {

if (document.documentElement && document.documentElement.clientWidth) {
return document.documentElement.clientWidth;
}
else {

if (document.body) {
return document.body.clientWidth;
}
}
}
}
